#version 150
#extension GL_ARB_explicit_attrib_location : enable

in vec2 TexCoord; // From the geometry shader

in vec3 colOut;

uniform sampler2D texOne;
layout( location = 0 ) out vec4 FragColor;
void main()
{
float alpha = texture(texOne, TexCoord).a;
FragColor = vec4(vec3(0,0,0), alpha);
} 